--- old/usr/src/uts/i86pc/sys/apic.h	2014-04-04 13:25:23.338602495 -0400
+++ new/usr/src/uts/i86pc/sys/apic.h	2014-04-04 13:25:23.344415537 -0400
@@ -103,10 +103,12 @@
 #define	APIC_DIVIDE_REG		0xf8
 
 /* Various mode for local APIC. Modes are mutually exclusive  */
-#define	APIC_IS_DISABLED	0x0
-#define	APIC_MODE_NOTSET	0x1
-#define	LOCAL_APIC		0x2
-#define	LOCAL_X2APIC		0x3
+enum apic_mode {
+	APIC_IS_DISABLED,
+	APIC_MODE_NOTSET,
+	LOCAL_APIC,
+	LOCAL_X2APIC,
+};
 
 /* x2APIC SELF IPI Register */
 #define	X2APIC_SELF_IPI		0xFC
